> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List API public v1 pulse biggest losses



## OpenAPI

````yaml /api-reference/openapi.json get /api/public/v1/pulse/biggest-losses
openapi: 3.1.0
info:
  title: coinversa-api
  version: 0.1.0
servers:
  - url: https://api.coinversa.ai
    description: Production
security: []
paths:
  /api/public/v1/pulse/biggest-losses:
    get:
      summary: List API public v1 pulse biggest losses
      operationId: list-api-public-v1-pulse-biggest-losses
      parameters:
        - explode: false
          in: query
          name: limit
          schema:
            default: 20
            format: int32
            type: integer
        - explode: false
          in: query
          name: maxPnl
          schema:
            default: -50000
            format: double
            type: number
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/TradeBody'
                type:
                  - array
                  - 'null'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unauthorized
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unprocessable Entity
        '429':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Too Many Requests
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    TradeBody:
      additionalProperties: false
      properties:
        address:
          type: string
        coin:
          type: string
        direction:
          type: string
        displayName:
          type: string
        fee:
          format: double
          type: number
        pnl:
          format: double
          type: number
        price:
          format: double
          type: number
        rawTime:
          format: int64
          type: integer
        side:
          type: string
        size:
          format: double
          type: number
        startPosition:
          format: double
          type: number
        tid:
          format: int64
          type: integer
        tradeTime:
          type: string
        volume:
          format: double
          type: number
      required:
        - tradeTime
        - address
        - coin
        - side
        - direction
        - price
        - size
        - volume
        - pnl
        - fee
        - tid
        - rawTime
        - startPosition
      type: object
    APIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/APIError.json
          format: uri
          readOnly: true
          type: string
        code:
          description: Machine-readable error code
          type: string
        current_tier:
          description: Caller's effective tier
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        required_tier:
          description: Minimum tier for this operation
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
        upgrade_url:
          description: Where to upgrade
          type: string
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    apiKey:
      description: Get one at https://coinversa.ai/developers
      in: header
      name: X-API-Key
      type: apiKey

````